Wallets, tokens & networks
Bulk Upload Multiple Wallets
Validates networks, wallet types and recipients by name, then bulk-creates PENDING wallets for recipients.
POSThttps://api.toku.com/tga/bulk-upload-multiple-wallets
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/tga/bulk-upload-multiple-wallets' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"wallets": [
{
"recipientID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"walletAddress": "string",
"networkName": "string",
"walletType": "string",
"nickName": "string"
}
]
}'200 response
{
"success": true,
"createdWallets": 0,
"message": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
walletsobject[]requiredAllowed: 1 to 1000 items
Show child attributes
recipientIDstring<uuid>requiredwalletAddressstringrequiredAllowed: at least 1 characters
networkNamestringrequiredAllowed: at least 1 characters
walletTypestringrequiredAllowed: at least 1 characters
nickNamestringResponse
200Successful response
successbooleanrequiredcreatedWalletsintegerrequiredmessagestring400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits